summaryrefslogtreecommitdiff
path: root/games-emulation/ps2emu-spu2null
diff options
context:
space:
mode:
author(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
committer(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
commitf1e95daae05c57d935b00e611c624c5e75cd21ec (patch)
tree4065ab51d9e64882d9001a59ede7d9a4e372a4a6 /games-emulation/ps2emu-spu2null
uploading my overlay ), initial commit
git-svn-id: http://172.18.13.13/svn/sss_overlay@1 4d9a9b59-111c-4e0b-8f7a-7640551abb98
Diffstat (limited to 'games-emulation/ps2emu-spu2null')
-rw-r--r--games-emulation/ps2emu-spu2null/ps2emu-spu2null-0.7.1.ebuild40
-rw-r--r--games-emulation/ps2emu-spu2null/ps2emu-spu2null-9999.ebuild39
2 files changed, 79 insertions, 0 deletions
diff --git a/games-emulation/ps2emu-spu2null/ps2emu-spu2null-0.7.1.ebuild b/games-emulation/ps2emu-spu2null/ps2emu-spu2null-0.7.1.ebuild
new file mode 100644
index 0000000..28490d0
--- /dev/null
+++ b/games-emulation/ps2emu-spu2null/ps2emu-spu2null-0.7.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit games
+
+PCSX2="pcsx2-0.9.4"
+
+DESCRIPTION="PS2Emu null sound plugin"
+HOMEPAGE="http://www.pcsx2.net/"
+SRC_URI="mirror://sourceforge/pcsx2/${PCSX2}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=">=x11-libs/gtk+-2"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PCSX2}/plugins/spu2/SPU2null/Src"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ sed -i \
+ -e '/^CC =/d' \
+ -e '/\bstrip\b/d' \
+ -e 's/-O[0-9]\b//g' \
+ -e 's/-fomit-frame-pointer\b//g' \
+ Makefile || die
+}
+
+src_install() {
+ exeinto "`games_get_libdir`/ps2emu/plugins"
+ newexe libSPU2null.so libSPU2null.so.${PV} || die
+ dodoc ../ReadMe.txt Changelog.txt || die
+ prepgamesdirs
+}
diff --git a/games-emulation/ps2emu-spu2null/ps2emu-spu2null-9999.ebuild b/games-emulation/ps2emu-spu2null/ps2emu-spu2null-9999.ebuild
new file mode 100644
index 0000000..5885bbd
--- /dev/null
+++ b/games-emulation/ps2emu-spu2null/ps2emu-spu2null-9999.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+ESVN_REPO_URI="https://pcsx2.svn.sourceforge.net/svnroot/pcsx2/plugins/spu2/SPU2null"
+inherit eutils games subversion
+
+DESCRIPTION="PS2Emu null sound plugin"
+HOMEPAGE="http://www.pcsx2.net/"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="doc"
+
+DEPEND=">=x11-libs/gtk+-2"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PCSX2}/SPU2null"
+
+src_unpack() {
+ subversion_src_unpack
+ S="${S}/Src"
+ cd "${S}"
+
+ sed -i \
+ -e '/^CC =/d' \
+ -e '/\bstrip\b/d' \
+ -e 's/-O[0-9]\b//g' \
+ -e 's/-fomit-frame-pointer\b//g' \
+ Makefile || die
+}
+
+src_install() {
+ exeinto "$(games_get_libdir)/ps2emu/plugins"
+ doexe libSPU2null.so || die
+ use doc && dodoc ../ReadMe.txt Changelog.txt || die
+ prepgamesdirs
+}